from signal import signal, SIGTERM, SIGINT

from tornado.ioloop import IOLoop

from tfw import EventHandlerBase
from tfw.components import PipeIOEventHandler


if __name__ == '__main__':
    ide_pipeio = PipeIOEventHandler(
        'ide',
        '/tmp/ide_send',
        '/tmp/ide_recv'
    )

    event_handlers = EventHandlerBase.get_local_instances()
    def cleanup(sig, frame):
        for eh in event_handlers:
            eh.cleanup()
        exit(0)
    signal(SIGTERM, cleanup)
    signal(SIGINT, cleanup)

    IOLoop.instance().start()
